Get shots

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/shots/all

Get the shots. Add a query parameter for each column to filter on. If you are not an administrator, you must give project_id. With sequence_id, the route uses the project of the sequence. A vendor gets only the entities of their tasks, without the hidden metadata columns.

Query parameters

  • sequence_id string(uuid)

    Get only the shots of this sequence

  • project_id string(uuid)

    Unique identifier of the project

  • parent_id string(uuid)

    Get only the entities of this parent

  • page integer

    Page to get, answered as an object with data, total, nb_pages, limit, offset and page. Without page nor limit, the route returns the full list.

  • limit integer

    Number of rows in a page, or in a request of a cursor walk

  • cursor_id string(uuid)

    Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit

Responses

  • 200 application/json

    The list of shots

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • project_id string(uuid)
    • parent_id string(uuid)
  • 400

    An identifier is not a valid UUID

  • 403

    You do not have access to this project

  • 404

    The sequence does not exist

GET /data/shots/all
curl -X GET "http://api.example.com/data/shots/all?sequence_id=a24a6ea4-ce75-4665-a070-57453082c25&project_id=a24a6ea4-ce75-4665-a070-57453082c25&parent_id=a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/shots/all"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "sequence_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "parent_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "SH020",
    "project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
    "parent_id": "c24a6ea4-ce75-4665-a070-57453082c250"
  }
]